Subject: Re: [PATCH net 1/2] vxlan: Relax the MTU constraint on vxlan devices

From: roopa <[email-masked]>
Date: Sat, 09 Jan 2016 10:39:52 -0800

On 1/6/16, 5:33 AM, David Wragg wrote:
> Allow the MTU of vxlan devices without an underlying device to be set to
> larger values (up to a maximum based on IP packet limits and vxlan
> overhead).
>
> Previously, their MTUs could not be set to higher than the conventional
> ethernet value of 1500.  This is a very arbitrary value in the context
> of vxlan, and prevented such vxlan devices from being able to take
> advantage of jumbo frames etc.
>
> The default MTU remains 1500, for compatibility.
>
> Signed-off-by: David Wragg <[email-masked]>
>
Acked-by: Roopa Prabhu <[email-masked]>

I have an internal patch which does the same thing and
was hoping to post it soon.
I am not using ovs. so, I am not closely following the thread on the other
patch in the series. But, this patch certainly stands on its own and is required.

Thanks!

_______________________________________________
dev mailing list
[email-masked]
http://openvswitch.org/mailman/listinfo/dev